﻿Install-WindowsFeature -Name Web-Server
Install-WindowsFeature -Name Web-Mgmt-Tools

New-Item -Path “C:\” -Name “PKI” -ItemType “directory”
New-SmbShare -name PKI C:\PKI -FullAccess SYSTEM,”dwp.local\Domänen-Admins” -ChangeAccess “dwp.local\Domänen-Benutzer”

New-WebVirtualDirectory -Site “Default Web Site” -Name PKI -PhysicalPath C:\PKI

Get-WebConfigurationProperty -filter /system.webServer/directoryBrowse -name enabled -PSPath “IIS:\Sites\Default Web Site\PKI”
Set-WebConfigurationProperty -filter /system.webServer/directoryBrowse -name enabled -value $true -PSPath “IIS:\Sites\Default Web Site\PKI"

Set-WebConfigurationProperty -filter /system.webServer/Security/requestFiltering -name allowDoubleEscaping -value $true -PSPath “IIS:\Sites\Default Web Site\PKI”
IISReset

# Aktuelle Protokolldatei
$ILOG = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logfile.directory'
}
$LogfileLocation = (Get-ItemProperty @ILOG).value
$LogFileFolder = [System.Environment]::ExpandEnvironmentVariables("$LogfileLocation")
Get-ChildItem $LogFileFolder -Recurse

# Den Speicherort für Protokolldateien ändern
$ILOG2 = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logfile.directory'
}
Set-ItemProperty @ILOG2 -Value 'C:\IISLogs'

# Wie oft werden neue Protokolldateien erstellt - daily
$CLOG = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logFile.period'
}
Get-ItemProperty @CLOG

# Protokolldateien jede Woche erstellen lassen - weekly
$NLOG = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logFile.period'
}
Set-ItemProperty @NLOG -Value weekly

# Maximale Größe einer Protokolldatei setzen und festlegen
$MLOG = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logFile.period'
}
Set-ItemProperty @MLOG -value 'MaxSize'
$Size = 1GB
$SLOG = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logFile.truncateSize'
}
Set-ItemProperty @SLOG -Value $size

# Protokollierung deaktivieren
$DLOG = @{
Path = 'IIS:\Sites\Default Web Site'
Name = 'logFile.enabled'
}
Set-ItemProperty @DLOG -Value $false